Skip to main content
`Ctrl`+`K`

# TSAdaptCandidatesGet

Get the list of candidate orders of accuracy and cost

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptCandidatesGet(TSAdapt adapt, PetscInt *n, const PetscInt **order, const PetscInt **stageorder, const PetscReal **ccfl, const PetscReal **cost)

Not Collective

## Input Parameter

- adapt - time step adaptivity context

## Output Parameters

- n - number of candidate schemes, always at least 1

- order - the order of each candidate scheme

- stageorder - the stage order of each candidate scheme

- ccfl - the CFL coefficient of each scheme

- cost - the relative cost of each scheme

## Note

The current scheme is always returned in the first slot

## See Also

TS: Scalable ODE and DAE Solvers, `TSAdapt`, `TSAdaptCandidatesClear()`, `TSAdaptCandidateAdd()`, `TSAdaptChoose()`

## Level

developer

## Location

src/ts/adapt/interface/tsadapt.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages